Modify

Opened 4 years ago

Closed 4 years ago

Last modified 2 years ago

#11010 closed defect (fixed)

Gemini Kernel Panic at Startup after freeing init memory

Reported by: hussain.nasser.1@… Owned by: developers
Priority: response-needed Milestone: Barrier Breaker 14.07
Component: kernel Version: Trunk
Keywords: kernel panic kill init Cc:

Description

Greetings,

I used the pre-built "openwrt-gemini-wbd111-squashfs.bin" from the OpenWrt official trunk. The build was done Feb 20, 2012.

The problem is after flashing the image to my wbd-111 board Wili-S Web-based upgrade tool. I got a "Kernel panic - not syncing: Attempted to kill init!" after Freeing init memory. I have included the stratup log shoing the kernel panic and the backtrace after it.

The same problem happened even after I built my image from scratch using the OpenWrt Buildroot. The trunk I used was the latest (today Feb 20, 2012) Trunk Revision R30655 and Feeds Revision 8314. Even I changed some configuration in menuconfig and kernel_menuconfig, but still I got kernel panic as shown below in the startup logs.

Also, in Feb 2 I downloaded a pre-built squashfs.bin image from the official openWrt trunk. I tried to flash it and I got the same kernel panic.

However, in my university machine, I have a little older trunk Revision R29967. I used it to build an image with the same configurations. The good news is that it WORKED FINE!!!!!

Kindly advice if there is an issue with the new trunk buildboot? Or if you think I am doing something wrong here.

Regards,

Hussain
Boston University

Logs during flashing the image:

/etc/rc.d/rc.stop: Going to firmware update mode
*** Writing to flash ***
*** Writing <Kernel> to flash memory ***
.......
*** Writing <Ramdisk> to flash memory ***
..........
Rebooting system[17179754.308000] Restarting system.
...

Startup log after flashing the image with kernel panic:

Bypassing CIR initialization




Storlink SL351x Boot Loader [Linux], version 1.0.9
Built by linux, 14:48:57, Feb 13 2008

Processor: SL3512c2
CPU Rate: 300000000
AHB Bus Clock:150MHz    Ratio:2/1
MAC 1 Address: 00:19:3B:81:0E:15
MAC 2 Address: 00:19:3B:81:0E:15
inet addr: 192.168.1.75/255.255.255.0
==> enter ^C to abort booting within 3 seconds ......
Load Kern image from 0x30020000 to 0x1600000 size 992340
Load Ramdisk image from 0x30120000 to 0x800000 size 4460605
Uncompressing Linux... done, booting the kernel.
[    0.000000] Linux version 2.6.37.6 (openwrt@OpenWRTBuild) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #1 Mon Feb 20 01:42:52 MST 2012
[    0.000000] CPU: FA526 [66015261] revision 1 (ARMv4), cr=0000397f
[    0.000000] CPU: VIVT data cache, VIVT instruction cache
[    0.000000] Machine: Wiliboard WBD-111
[    0.000000] Memory policy: ECC disabled, Data cache writeback
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,19200 mem=32M
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Memory: 32MB = 32MB total
[    0.000000] Memory: 30104k/30104k available, 2664k reserved, 0K highmem
[    0.000000] Virtual kernel memory layout:
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)
[    0.000000]     fixmap  : 0xfff00000 - 0xfffe0000   ( 896 kB)
[    0.000000]     DMA     : 0xffc00000 - 0xffe00000   (   2 MB)
[    0.000000]     vmalloc : 0xc2800000 - 0xf0000000   ( 728 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xc2000000   (  32 MB)
[    0.000000]     modules : 0xbf000000 - 0xc0000000   (  16 MB)
[    0.000000]       .init : 0xc0008000 - 0xc001f000   (  92 kB)
[    0.000000]       .text : 0xc001f000 - 0xc0220000   (2052 kB)
[    0.000000]       .data : 0xc0220000 - 0xc0232960   (  75 kB)
[    0.000000] NR_IRQS:132
[    0.000000] Bus: 150MHz(2/1)
[    0.000000] Calibrating delay loop... 230.19 BogoMIPS (lpj=1150976)
[    0.240000] pid_max: default: 32768 minimum: 301
[    0.240000] Mount-cache hash table entries: 512
[    0.240000] CPU: Testing write buffer coherency: ok
[    0.250000] NET: Registered protocol family 16
[    0.260000] PCI: bus0: Fast back to back transfers disabled
[    0.280000] bio: create slab <bio-0> at 0
[    0.300000] NET: Registered protocol family 2
[    0.300000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.300000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.300000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.300000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.300000] TCP reno registered
[    0.300000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.300000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.300000] NET: Registered protocol family 1
[    0.310000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.310000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.320000] msgmni has been set to 58
[    0.320000] io scheduler noop registered
[    0.320000] io scheduler deadline registered (default)
[    1.010000] Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled
[    1.010000] serial8250.0: ttyS0 at MMIO 0x42000000 (irq = 18) is a 16550A
[    1.020000] console [ttyS0] enabled
[    1.030000] physmap platform flash device: 00800000 at 30000000
[    1.050000] physmap-flash.0: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x0000c2 Chip ID 0x0022cb
[    1.060000] Amd/Fujitsu Extended Query Table at 0x0040
[    1.070000]   Amd/Fujitsu Extended Query version 1.1.
[    1.080000] number of CFI chips: 1
[    1.090000] Using physmap partition information
[    1.100000] Creating 6 MTD partitions on "physmap-flash.0":
[    1.110000] 0x000000000000-0x000000020000 : "RedBoot"
[    1.130000] 0x000000020000-0x000000120000 : "kernel"
[    1.150000] 0x000000120000-0x0000007c0000 : "rootfs"
[    1.160000] mtd: partition "rootfs_data" created automatically, ofs=1F0000, len=5D0000
[    1.170000] 0x0000001f0000-0x0000007c0000 : "rootfs_data"
[    1.180000] 0x0000007c0000-0x0000007d0000 : "VCTL"
[    1.190000] 0x0000007d0000-0x0000007e0000 : "cfg"
[    1.210000] 0x0000007e0000-0x0000007f0000 : "FIS"
[    1.220000] GPIO Bitbanged MDIO: probed
[    1.230000] gemini-gmac gemini-gmac.0: Gemini Ethernet driver 0.2
[    1.240000] i2c /dev entries driver
[    1.260000] TCP westwood registered
[    1.270000] NET: Registered protocol family 17
[    1.280000] Bridge firewalling registered
[    1.290000] 802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
[    1.300000] All bugs added by David S. Miller <davem@redhat.com>
[    1.320000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    1.330000] Freeing init memory: 92K
[    2.300000] Kernel panic - not syncing: Attempted to kill init!
[    2.310000] Backtrace:
[    2.320000] Function entered at [<c002307c>] from [<c01debf8>]
[    2.330000]  r6:00000004 r5:c1814000 r4:c0232d20 r3:c0225818
[    2.360000] Function entered at [<c01debe0>] from [<c01ded38>]
[    2.370000] Function entered at [<c01decdc>] from [<c0030668>]
[    2.380000]  r3:c0226d90 r2:c1815e18 r1:00000001 r0:c01f1f34
[    2.410000]  r7:c1812b30
[    2.420000] Function entered at [<c0030604>] from [<c0030ed8>]
[    2.430000]  r7:c1818dd0
[    2.440000] Function entered at [<c0030e48>] from [<c0039fe4>]
[    2.450000]  r4:0830009f r3:80000013
[    2.460000] Function entered at [<c0039cf8>] from [<c00220dc>]
[    2.470000] Function entered at [<c0022088>] from [<c0022b20>]
[    2.480000] Function entered at [<c0022b04>] from [<c001fdd4>]
[    2.490000]  r4:400349b0 r3:c1812b30

Attachments (0)

Change History (5)

comment:1 Changed 4 years ago by anonymous

I have same problem, latest working build (openwrt-gemini-wbd111-squashfs.bin) for me is downloded on Feb 10 2012. Oh, by the way "webif_0.3-4986_gemini" package from aprox Jan 2012 isn't working so i take it from Oct 25 2011.

comment:2 Changed 4 years ago by anonymous

Today (Apr 05 2012) flashed openwrt-gemini-wbd111-squashfs.bin and seems that's first working version after long time. DEVELOPERS, THANK YOU VERY MUCH !!!

comment:3 Changed 4 years ago by anonymous

Yes, it works but where is USB2 host support (at packages repo)?

comment:4 Changed 4 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

comment:5 Changed 2 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.